---
api: 'Business API'
---

# Retrieve tax rate details

Get the details of a specific tax rate based on the tax rate ID.

The details include the tax rate name and percentage, as well as when the tax rate was added to your settings, and when it was last updated.

For more details, see the guides: [Manage accounting settings](/docs/guides/manage-accounts/accounting/manage-accounting-settings) and [Manage tax rates](/docs/guides/manage-accounts/accounting/manage-tax-rates).

## Endpoint

GET `/tax-rates/{tax_rate_id}`

## Parameters

### path parameters

- `tax_rate_id` (string, required)
  The ID of the tax rate to retrieve.

## Returns

### 200

Tax rate details

#### Response attributes

- `id` (string)
    The unique ID of the tax rate.
- `name` (string)
    The name of the tax.
- `created_at` (string)
    The date and time the tax rate was created in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `updated_at` (string)
    The date and time the tax rate was last updated in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `percentage` (number, optional)
    The tax rate percentage applied to the taxable amount. For example, `23` for 23%.
    
    :::note
    You cannot create negative tax rates manually. 
    However, negative tax rates might be synced from your accounting software, if integrated. 
    :::

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request  Returned, for example, when a required parameter is missing or malformatted. |
| 401 | Unauthorized – authentication credentials are missing or invalid  Returned when the request was not fulfilled because authentication has failed or has not been provided. |
| 403 | Action forbidden - insufficient permissions to perform this action  Returned, for example, when you don't have permissions necessary to perform this action. |
| 404 | Not found  Returned when the tax rate that you're trying to retrieve cannot be found. This can happen, for example, when the tax rate has been deleted, or the provided tax rate ID is incorrect. |
| 429 | Too many requests  Returned, for example, when the rate limit has been exceeded. If the response includes the `Retry-After` instruction, please respect it and refrain from earlier retry attempts. |
| 500 | Internal server error  An unexpected application error occurred. |
| 503 | Service Unavailable  The system is temporarily unavailable. If the response includes the `Retry-After` header instruction, please respect it and refrain from earlier retry attempts. |
